<?php

namespace Fab;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Initiate plugins
 *
 * @package    Fab
 * @subpackage Fab\Includes
 */
class Plugin extends Bootstrap {

    // Load Traits.
    use \Fab\Plugin\Helper\Singleton; // We place this trait here to avoid singleton conflict between the free and premium plugin.

    /**
     * Define the core functionality of the plugin.
     * - NAMESPACE is set to determine the plugin plan free and premium.
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
        $this->namespace = __NAMESPACE__;
    }

    /**
     * Uninstall the plugin
     *
     * @return  void
     */
    public static function uninstall() {
        delete_option( 'fab_config' );
    }
}
